package com.qmth.boot.tools.excel.exception;

import org.apache.commons.lang3.StringUtils;

import java.util.Collection;

public class ColumnNameException extends RuntimeException {

    private static final long serialVersionUID = 1861441092000446536L;

    private Collection<String> errorNames;

    public ColumnNameException(Collection<String> errorNames) {
        super("Excel缺少列名：" + StringUtils.join(errorNames, ","));
        this.errorNames = errorNames;
    }

    public Collection<String> getErrorNames() {
        return errorNames;
    }
}
